io.vertx.reactivex.ext.web.handler.sockjs

## Class SockJSHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.sockjs.SockJSHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class SockJSHandler
      extends Object
      implements Handler<RoutingContext>

  A handler that allows you to handle SockJS connections from clients.

  We currently support version 0.3.3 of the SockJS protocol, which can be found in this tag:

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static <any>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SockJSHandler(SockJSHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SockJSHandler` | `bridge(BridgeOptions bridgeOptions)` Bridge the SockJS handler to the Vert.x event bus.
    `SockJSHandler` | `bridge(BridgeOptions bridgeOptions, Handler<BridgeEvent> bridgeEventHandler)` Like `bridge(io.vertx.ext.web.handler.sockjs.BridgeOptions)` but specifying a handler that will receive bridge events.
    `static SockJSHandler` | `create(Vertx vertx)` Create a SockJS handler
    `static SockJSHandler` | `create(Vertx vertx, SockJSHandlerOptions options)` Create a SockJS handler
    `boolean` | `equals(Object o)`
    `SockJSHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static SockJSHandler` | `newInstance(SockJSHandler arg)`
    `SockJSHandler` | `socketHandler(Handler<SockJSSocket> handler)` Set a SockJS socket handler.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final <any> __TYPE_ARG

  - ### Constructor Detail

    - #### SockJSHandler

          public SockJSHandler(SockJSHandler delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SockJSHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static SockJSHandler create(Vertx vertx)

      Create a SockJS handler
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the handler

    - #### create

          public static SockJSHandler create(Vertx vertx,
                                             SockJSHandlerOptions options)

      Create a SockJS handler
      Parameters:
        `vertx` - the Vert.x instance
        `options` - options to configure the handler
      Returns:
        the handler

    - #### socketHandler

          public SockJSHandler socketHandler(Handler<SockJSSocket> handler)

      Set a SockJS socket handler. This handler will be called with a SockJS socket whenever a SockJS connection is made from a client
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### bridge

          public SockJSHandler bridge(BridgeOptions bridgeOptions)

      Bridge the SockJS handler to the Vert.x event bus. This basically installs a built-in SockJS socket handler which takes SockJS traffic and bridges it to the event bus, thus allowing you to extend the server-side Vert.x event bus to browsers
      Parameters:
        `bridgeOptions` - options to configure the bridge with
      Returns:
        a reference to this, so the API can be used fluently

    - #### bridge

          public SockJSHandler bridge(BridgeOptions bridgeOptions,
                                      Handler<BridgeEvent> bridgeEventHandler)

      Like `bridge(io.vertx.ext.web.handler.sockjs.BridgeOptions)` but specifying a handler that will receive bridge events.
      Parameters:
        `bridgeOptions` - options to configure the bridge with
        `bridgeEventHandler` - handler to receive bridge events
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static SockJSHandler newInstance(SockJSHandler arg)

Copyright © 2018 Eclipse. All rights reserved.